<template>
  <div class="col-12">
        <h2>Gestion des utilisateurs</h2>
        <br>
   <router-link :to="{path:'new'}" append>
    <button class="btn btn-success float-right but">Nouvel utilisateur</button>

   </router-link>
    <table class="table table-hover">
      <thead>
        <tr>
          
          <th>Nom</th>
          <th>Prénom</th>
          <th>Login</th>
          <th>Trigramme</th>
           <th>Email</th>
           <th>Actions</th>
        </tr>
      </thead>
      <tbody>
  
        <tr v-for="user in users">
          
          <td>{{user.firstname}}</td>
          <td>{{user.lastname}}</td>
          <td>{{user.username}}</td>
          <td>{{user.trigramme}}</td>
          <td>{{user.email}}</td>
           <td><router-link :to="{ path:user._id+ '/edit'}" append>
                    <button class="btn btn-info">Modifier</button>
                </router-link></td>
          

        </tr>
      </tbody>
    </table>

  </div>
</template>

<script>
  export default {
  
    computed: {
      users() {
        return this.$store.getters.AllUsers
      }
    },
  
    created: function() {
      this.$store.dispatch("getAllUsers");
    }
  
  }
</script>

<style scoped>
  .but {
    margin-bottom:50px;
  }
</style>
